# Toy codes for reproducing the TORCH + CUDA issue

## Building

Let's save this path in `CUR_REPO_PATH`

```bash
export CUR_REPO_PATH=`pwd`
```

```bash
cd $CUR_REPO_PATH
export CMAKE_MODULE_PATH=~/.local/lib/python3.6/site-packages/torch/share/cmake/Torch
cd gst-torchpassthru
mkdir build && cd build
cmake ..
make
```

```bash
cd $CUR_REPO_PATH
cd gst-cudapassthru
mkdir build && cd build
cmake ..
make
```

## Reproducing the issue

```bash
cd $CUR_REPO_PATH
export GST_PLUGIN_PATH=${CUR_REPO_PATH}/gst-torchpassthru/build/src:${CUR_REPO_PATH}/gst-cudapassthru/build/src

gst-launch-1.0 videotestsrc ! "video/x-raw,width=640,height=480" ! cudapassthru ! torchpassthru ! fakesink silent=false -vvv
```

In this particular case, when stopping the pipeline the memory consumption increases and, then, goes down.

```bash
gst-launch-1.0 videotestsrc ! "video/x-raw,width=640,height=480" ! cudapassthru ! torchpassthru ! cudapassthru ! fakesink silent=false -vvv
```

In the last case, you will notice that much more memory is required for starting the pipeline, leading to a delay in the pipeline PLAYING transition. You can place more `cudapassthru` after `torchpassthru` to analyse the memory consumption pattern, which is proportional to the number of `cudapasshtru` elements.
