/*
 * Copyright (c) 2021 RidgeRun, LLC.
 * GPL-v2 License
 * Adapted by: Luis Leon <luis.leon@ridgerun.com>
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gst/gst.h>

#include "gsttorchpassthru.h"

static gboolean
plugin_init (GstPlugin * plugin)
{
  if (gst_element_register (plugin, "torchpassthru", GST_RANK_PRIMARY,
          GST_TYPE_TORCH_PASSTHRU) == FALSE) {
    return FALSE;
  }

  return TRUE;
}

#ifndef PACKAGE
#define PACKAGE "torchpassthru"
#endif

GST_PLUGIN_DEFINE (GST_VERSION_MAJOR,
    GST_VERSION_MINOR,
    torchpassthru,
    "Image processing library plugin",
    plugin_init, "0.1.0", "Proprietary", "RidgeRun", "https://www.ridgerun.com")
